%define upstream_name    Devel-Hide
%define upstream_version 0.0009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Forces the unavailability of specified Perl modules (for testing)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Given a list of Perl modules/filenames, this module makes 'require' and
'use' statements fail (no matter the specified files/modules are installed
or not).

They _die_ with a message like:

    Can't locate Module/ToHide.pm (hidden)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:0.0.900-6.mga6
+ Revision: 1025508
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:0.0.900-5.mga6
+ Revision: 946193
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.900-4.mga5
+ Revision: 744108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.900-3.mga5
+ Revision: 684319
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.0.900-2.mga4
+ Revision: 526318
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1:0.0.900-1.mga4
+ Revision: 436619
- update to 0.0009

* Sun Jan 13 2013 umeabot <umeabot> 1:0.0.800-2.mga3
+ Revision: 365766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1:0.0.800-1.mga1
+ Revision: 22343
- cleaning spec file
- imported package perl-Devel-Hide

